## oce 0.1-75

=== DESCRIPTION ===
Package: oce
Version: 0.1-75
Date: 2009-01-06
Title: Analysis of Oceanographic data
Author: Dan Kelley <Dan.Kelley@Dal.Ca>
Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
Depends: R (>= 0.99)
Description: Supports the analysis of Oceanographic data,
 including CTD measurements, sea-level timeseries, coastline
 files, etc.  Also includes functions for calculating
 seawater properties such as density, and derived properties
 such as buoyancy frequency.
License: GPL (>= 2)
URL: http://code.google.com/p/r-oce/
LazyLoad: yes
Packaged: Tue Jan  6 15:28:37 2009; kelley
