## oce 0.1-76

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: oce
-Version: 0.1-75
-Date: 2009-01-06
+Version: 0.1-76
+Date: 2009-03-02
 Title: Analysis of Oceanographic data
 Author: Dan Kelley <Dan.Kelley@Dal.Ca>
 Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
@@ -13,4 +13,4 @@
 License: GPL (>= 2)
 URL: http://code.google.com/p/r-oce/
 LazyLoad: yes
-Packaged: Tue Jan  6 15:28:37 2009; kelley
+Packaged: Mon Mar  2 14:41:04 2009; kelley
