## oce 0.1-78

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: oce
-Version: 0.1-77
-Date: 2009-09-13
+Version: 0.1-78
+Date: 2009-09-30
 Title: Analysis of Oceanographic data
 Author: Dan Kelley <Dan.Kelley@Dal.Ca>
 Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
@@ -14,6 +14,6 @@
 License: GPL (>= 2)
 URL: http://code.google.com/p/r-oce/
 LazyLoad: yes
-Packaged: 2009-09-13 15:35:16 UTC; kelley
+Packaged: 2009-10-02 00:15:04 UTC; kelley
 Repository: CRAN
-Date/Publication: 2009-09-13 19:15:12
+Date/Publication: 2009-10-02 13:33:57
