## oce 0.1-80

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: oce
-Version: 0.1-79
-Date: 2009-10-24
+Version: 0.1-80
+Date: 2009-11-04
 Title: Analysis of Oceanographic data
 Author: Dan Kelley <Dan.Kelley@Dal.Ca>
 Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
@@ -14,6 +14,6 @@
 License: GPL (>= 2)
 URL: http://code.google.com/p/r-oce/
 LazyLoad: yes
-Packaged: 2009-10-24 14:15:25 UTC; kelley
+Packaged: 2009-11-04 21:42:38 UTC; kelley
 Repository: CRAN
-Date/Publication: 2009-10-26 19:27:48
+Date/Publication: 2009-11-05 12:35:02
