## oce 0.1.59

=== DESCRIPTION ===
Package: oce
Version: 0.1.59
Date: 2007-05-20
Title: Analysis of Oceanographic data
Author: Dan Kelley <Dan.Kelley@Dal.Ca>
Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
Depends: R (>= 0.99)
Description: Supports the analysis of Oceanographic data,
 including seawater properties, sealevel timeseries, etc.
License: GPL version 2 or newer
URL: http://myweb.dal.ca/kelley/pub/sof/oce/index.php
LazyLoad: yes
Packaged: Sun May 20 19:37:31 2007; kelley
