## oce 0.1.63

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: oce
-Version: 0.1.62
-Date: 2007-05-27
+Version: 0.1.63
+Date: 2007-05-30
 Title: Analysis of Oceanographic data
 Author: Dan Kelley <Dan.Kelley@Dal.Ca>
 Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
@@ -12,4 +12,4 @@
 License: GPL version 2 or newer
 URL: http://myweb.dal.ca/kelley/pub/sof/oce/index.php
 LazyLoad: yes
-Packaged: Tue May 29 16:59:09 2007; hornik
+Packaged: Sat Jun  2 18:13:22 2007; hornik
