## oce 0.1.69

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: oce
-Version: 0.1.67
-Date: 2007-10-21
+Version: 0.1.69
+Date: 2007-12-13
 Title: Analysis of Oceanographic data
 Author: Dan Kelley <Dan.Kelley@Dal.Ca>
 Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
@@ -11,6 +11,6 @@
  seawater properties such as density, and derived properties
  such as buoyancy frequency.
 License: GPL (>= 2)
-URL: http://myweb.dal.ca/kelley/pub/sof/oce/index.php
+URL: http://code.google.com/p/r-oce/
 LazyLoad: yes
-Packaged: Sun Oct 21 17:06:20 2007; hornik
+Packaged: Fri Dec 14 17:42:37 2007; hornik
