## oce 0.1.73

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: oce
-Version: 0.1.72
-Date: 2008-06-04
+Version: 0.1.73
+Date: 2008-09-14
 Title: Analysis of Oceanographic data
 Author: Dan Kelley <Dan.Kelley@Dal.Ca>
 Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
@@ -13,4 +13,4 @@
 License: GPL (>= 2)
 URL: http://code.google.com/p/r-oce/
 LazyLoad: yes
-Packaged: Mon Jun  9 19:49:40 2008; hornik
+Packaged: Sun Sep 14 10:31:47 2008; kelley
