## oce 0.2-1

=== DESCRIPTION ===
Package: oce
Version: 0.2-1
Date: 2011-04-28
Title: Analysis of Oceanographic data
Author: Dan Kelley <Dan.Kelley@Dal.Ca>
Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
Depends: R (>= 2.10)
Description: Supports the analysis of Oceanographic data, including ADP
        measurements, CTD measurements, sectional data, sea-level
        timeseries, coastline files, etc. Provides functions for
        calculating seawater properties such as potential temperature
        and density, as well as derived properties such as buoyancy
        frequency and dynamic height.
License: GPL (>= 2)
URL: http://dankelley.github.com/oce/
LazyLoad: yes
Packaged: 2011-04-28 12:09:45 UTC; kelley
Repository: CRAN
Date/Publication: 2011-04-28 13:49:07
