## oce 0.2-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: oce
-Version: 0.2-1
-Date: 2011-04-28
+Version: 0.2-2
+Date: 2011-05-09
 Title: Analysis of Oceanographic data
 Author: Dan Kelley <Dan.Kelley@Dal.Ca>
 Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
@@ -14,6 +14,6 @@
 License: GPL (>= 2)
 URL: http://dankelley.github.com/oce/
 LazyLoad: yes
-Packaged: 2011-04-28 12:09:45 UTC; kelley
+Packaged: 2011-05-09 13:09:04 UTC; kelley
 Repository: CRAN
-Date/Publication: 2011-04-28 13:49:07
+Date/Publication: 2011-05-09 15:30:02
