## oce 0.6-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: oce
-Version: 0.5-1
-Date: 2011-07-26
+Version: 0.6-1
+Date: 2011-08-26
 Title: Analysis of Oceanographic data
 Author: Dan Kelley <Dan.Kelley@Dal.Ca>
 Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
@@ -14,6 +14,6 @@
 License: GPL (>= 2)
 URL: http://dankelley.github.com/oce/
 LazyLoad: yes
-Packaged: 2011-07-26 20:05:39 UTC; kelley
+Packaged: 2011-08-31 19:43:35.138 UTC; kelley
 Repository: CRAN
-Date/Publication: 2011-07-26 20:51:35
+Date/Publication: 2011-09-01 06:26:00
