=== test/BRepPrimAPI_test/CMakeLists.txt ===
ADD_OCE_TEST(BRepPrimAPI_test "TKPrim")
