=== debian/changelog ===
oce (0.7.0-3) unstable; urgency=low

  [ Denis Barbier ]
  * debian/control: Add Build-Depends: tcl8.5-dev, tk8.5-dev
    to fix FTBFS.  Closes: #651105
  * debian/control: Fix Vcs-Browser field.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Mon, 12 Dec 2011 21:20:46 -0500

oce (0.7.0-2) unstable; urgency=low

  [ Denis Barbier ]
  * debian/copyright: add missing stanzas for
    test/gtest-1.6.0 and src/OSD/gettime_osx.h.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Sun, 04 Dec 2011 10:08:30 -0500

oce (0.7.0-1) unstable; urgency=low

  [ Denis Barbier ]
  * Switch source package to OCE.  Closes: #644943
    This is Opencascade Community Edition version 0.7.0,
    based on Opencascade 6.5.1.
    See opencascade package for previous releases.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Fri, 11 Nov 2011 14:15:48 -0500
