## oce 0.8-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: oce
-Version: 0.7-1
-Date: 2011-10-06
+Version: 0.8-1
+Date: 2011-10-23
 Title: Analysis of Oceanographic data
 Author: Dan Kelley <Dan.Kelley@Dal.Ca>
 Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
@@ -17,6 +17,6 @@
 License: GPL (>= 2)
 URL: http://dankelley.github.com/oce/
 LazyLoad: yes
-Packaged: 2011-10-06 21:25:24.873 UTC; kelley
+Packaged: 2011-10-26 15:28:32.840 UTC; kelley
 Repository: CRAN
-Date/Publication: 2011-10-07 05:46:16
+Date/Publication: 2011-10-26 18:43:40
