## oce 0.8-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: oce
-Version: 0.8-2
-Date: 2011-11-03
+Version: 0.8-3
+Date: 2011-11-17
 Title: Analysis of Oceanographic data
 Author: Dan Kelley <Dan.Kelley@Dal.Ca>
 Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
@@ -18,6 +18,6 @@
 License: GPL (>= 2)
 URL: http://dankelley.github.com/oce/
 LazyLoad: yes
-Packaged: 2011-11-03 17:01:31.119 UTC; kelley
+Packaged: 2011-11-17 21:07:22.456 UTC; kelley
 Repository: CRAN
-Date/Publication: 2011-11-03 21:30:50
+Date/Publication: 2011-11-18 07:10:47
