## oce 0.8-6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: oce
-Version: 0.8-4
-Date: 2011-12-18
+Version: 0.8-6
+Date: 2012-03-03
 Title: Analysis of Oceanographic data
 Author: Dan Kelley <Dan.Kelley@Dal.Ca>
 Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
 Depends: R (>= 2.10), utils, methods
-Suggests: ncdf
+Suggests: ncdf, foreign
 BugReports:
         https://github.com/dankelley/oce/issues?sort=created&direction=desc&state=open
 Description: Supports the analysis of Oceanographic data, including ADP
@@ -17,6 +17,6 @@
 License: GPL (>= 2)
 URL: http://dankelley.github.com/oce/
 LazyLoad: yes
-Packaged: 2011-12-18 15:02:20.567 UTC; kelley
+Packaged: 2012-03-03 22:52:04.054 UTC; kelley
 Repository: CRAN
-Date/Publication: 2011-12-19 11:17:29
+Date/Publication: 2012-03-04 07:01:10
