## oce 0.8-8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: oce
-Version: 0.8-7
-Date: 2012-04-05
+Version: 0.8-8
+Date: 2012-05-22
 Title: Analysis of Oceanographic data
 Author: Dan Kelley <Dan.Kelley@Dal.Ca>
 Maintainer: Dan Kelley <Dan.Kelley@Dal.Ca>
@@ -17,6 +17,6 @@
 License: GPL (>= 2)
 URL: http://dankelley.github.com/oce/
 LazyLoad: yes
-Packaged: 2012-04-05 18:46:48.743 UTC; kelley
+Packaged: 2012-05-23 16:53:12.129 UTC; kelley
 Repository: CRAN
-Date/Publication: 2012-04-05 20:46:20
+Date/Publication: 2012-05-23 19:10:39
